for _, rec in pairs(data.raw.recipe) do
  if (rec.result) == "synthetic-wood" then
    rec.result = "wood"
  end
  if (rec.results) then
    for _, result in pairs(rec.results) do
      if result.name == "synthetic-wood" then
        result.name = "wood"
      end
    end
  end
  if (rec.main_product) == "synthetic-wood" then
    rec.main_product = "wood"
  end
end

-- we changed things that would output synthetic wood to output real wood instead.
-- Now remove those redundant recipes that require synthetic wood!

deletedRecipes = {} -- will be treated an inverse table

for _, rec in pairs(data.raw.recipe) do
  for _, ingredient in pairs (rec.ingredients) do
    if ingredient[1] == "synthetic-wood" then
      -- error(serpent.block(rec))
      deletedRecipes[rec.name] = true
      data.raw.recipe[rec.name] = nil
    end
  end
end

-- now go through all technology and remove unlocking those recipes we deleted.

deletedEffects = {}

for _, tech in pairs(data.raw.technology) do
  if tech.effects then
    numberofeffects = #(tech.effects)
    for i=1, numberofeffects do
      if tech.effects[i] and tech.effects[i].type == "unlock-recipe" then
        if deletedRecipes[tech.effects[i].recipe] then
          data.raw.technology[tech.name].effects[i] = nil
        end
      end
    end
  end
end

-- remove those recipes from module limitations as well

for _, modul in pairs(data.raw.module) do
  if modul.limitation then
    for i=1, #(modul.limitation) do
      if deletedRecipes[modul.limitation[i]] then
        -- error(serpent.block(modul.limitation))
        modul.limitation[i] = nil
      end
    end
  end
end

-- Finally, remove the synthetic wood item.

data.raw.item["synthetic-wood"] = nil

-- error(serpent.block(data.raw))